<?php

namespace Dobley;

class FrontController extends Controller
{
	/**
     * Singleton instance
     *
     * @var FrontController
     */
	protected static $_instance = NULL;

	/**
     * Get singleton instance
     *
	 * @access public
     * @return FrontController
     */
    public static function getInstance()
    {
        if (NULL === self::$_instance) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

	/**
	 * Dispatch to the action controller
	 *
	 * @access public
	 * @return void
	 */
	public function dispatch()
	{
		$controller = !empty($_REQUEST["controller"]) ? $_REQUEST["controller"] : "index";
		$action = !empty($_REQUEST["action"]) ? $_REQUEST["action"] : "index";
		$this->forward($controller, $action);
	}
}