<?php

namespace Dobley;

// Define path to application directory
defined('APPLICATION_PATH')
    || define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../'));

// Make sure that all of the application dirs are on the include_path
set_include_path(implode(PATH_SEPARATOR, array(
    realpath(APPLICATION_PATH),
    get_include_path(),
)));

// Load the Bootstrap to handle additional configuration
require_once "../lib/ApplicationBootstrap.php";
$bootstrap = new ApplicationBootstrap();

// Run the application
FrontController::getInstance()->dispatch();